# Uses of Enum Class
org.eclipse.emf.cdo.server.db.evolution.IModelEvolutionSupport.Trigger

Packages that use IModelEvolutionSupport.Trigger
Package
Description
org.eclipse.emf.cdo.server.db.evolution
Server concepts for dealing with model evolution and database migration.
org.eclipse.emf.cdo.server.db.evolution.phased
A phased approach to database evolution.

## Uses of IModelEvolutionSupport.Trigger in org.eclipse.emf.cdo.server.db.evolution

Methods in org.eclipse.emf.cdo.server.db.evolution that return IModelEvolutionSupport.Trigger
Modifier and Type
Method
Description
`static IModelEvolutionSupport.Trigger`
IModelEvolutionSupport.Trigger.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IModelEvolutionSupport.Trigger[]`
IModelEvolutionSupport.Trigger.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.server.db.evolution with parameters of type IModelEvolutionSupport.Trigger
Modifier and Type
Method
Description
`void`
IModelEvolutionSupport.`trigger(IModelEvolutionSupport.Trigger trigger)`
Evolves the models stored in the given DB store to match the currently registered `EPackages`.

## Uses of IModelEvolutionSupport.Trigger in org.eclipse.emf.cdo.server.db.evolution.phased

Methods in org.eclipse.emf.cdo.server.db.evolution.phased that return IModelEvolutionSupport.Trigger
Modifier and Type
Method
Description
`IModelEvolutionSupport.Trigger`
Phase.`trigger()`
Returns the `trigger` that causes the execution of this phase.
Methods in org.eclipse.emf.cdo.server.db.evolution.phased with parameters of type IModelEvolutionSupport.Trigger
Modifier and Type
Method
Description
`void`
PhasedModelEvolutionSupport.`trigger(IModelEvolutionSupport.Trigger trigger)`
Evolves the models stored in the given DB store to match the currently registered `EPackages`.